#/bin/sh
#
# Author  : Yann Stettler
# Version : 1.0
#
# Desc: query ping server
#

# Set default values

SECRET="12345"
SERVER="127.0.0.1"
PORT=9928

############################################################################
QUERY="summary"

while [[ $# -gt 0 ]]
do
key="$1"

case $key in
    -k|--key)
    SECRET="$2"
    shift # past argument
    ;;
    -p|--port)
    PORT="$2"
    shift # past argument
    ;;
    -s|--server)
    SERVER="$2"
    shift # past argument
    ;;
    -q|--query)
    QUERY="$2"
    shift # past argument
    ;;
    -h|--help)
    echo "Usage: $0 -k [secret_key] -s [ping_server] -p [port] -q [host]"
    echo "       [secret_key]  = Secret key to access the ping server"
    echo "       [ping_server] = IP/Hostname of ping server"
    echo "       [port]        = TCP port used by the ping server"
    echo "       [host]        = Return information for this host"
    echo "       if -q is omitted, return information for all hosts"
    echo ""
    exit 1
    ;;
    *)
            # unknown option
    ;;
esac
shift # past argument or value
done

{ echo "$SECRET"; echo "$QUERY"; sleep 1; } | telnet $SERVER $PORT
